## UDisksNVMeNamespace

UDisksNVMeNamespace — Generated C code for the org.freedesktop.UDisks2.NVMe.Namespace D-Bus interface

## Functions

GDBusInterfaceInfo * | udisks_nvme_namespace_interface_info ()
guint | udisks_nvme_namespace_override_properties ()
void | udisks_nvme_namespace_call_format_namespace ()
gboolean | udisks_nvme_namespace_call_format_namespace_finish ()
gboolean | udisks_nvme_namespace_call_format_namespace_sync ()
void | udisks_nvme_namespace_complete_format_namespace ()
const gchar * | udisks_nvme_namespace_get_eui64 ()
gint | udisks_nvme_namespace_get_format_percent_remaining ()
GVariant * | udisks_nvme_namespace_get_formatted_lbasize ()
GVariant * | udisks_nvme_namespace_get_lbaformats ()
guint64 | udisks_nvme_namespace_get_namespace_capacity ()
guint64 | udisks_nvme_namespace_get_namespace_size ()
guint64 | udisks_nvme_namespace_get_namespace_utilization ()
const gchar * | udisks_nvme_namespace_get_nguid ()
guint | udisks_nvme_namespace_get_nsid ()
const gchar * | udisks_nvme_namespace_get_uuid ()
const gchar * | udisks_nvme_namespace_get_wwn ()
gchar * | udisks_nvme_namespace_dup_eui64 ()
GVariant * | udisks_nvme_namespace_dup_formatted_lbasize ()
GVariant * | udisks_nvme_namespace_dup_lbaformats ()
gchar * | udisks_nvme_namespace_dup_nguid ()
gchar * | udisks_nvme_namespace_dup_uuid ()
gchar * | udisks_nvme_namespace_dup_wwn ()
void | udisks_nvme_namespace_set_eui64 ()
void | udisks_nvme_namespace_set_format_percent_remaining ()
void | udisks_nvme_namespace_set_formatted_lbasize ()
void | udisks_nvme_namespace_set_lbaformats ()
void | udisks_nvme_namespace_set_namespace_capacity ()
void | udisks_nvme_namespace_set_namespace_size ()
void | udisks_nvme_namespace_set_namespace_utilization ()
void | udisks_nvme_namespace_set_nguid ()
void | udisks_nvme_namespace_set_nsid ()
void | udisks_nvme_namespace_set_uuid ()
void | udisks_nvme_namespace_set_wwn ()
void | udisks_nvme_namespace_proxy_new ()
UDisksNVMeNamespace * | udisks_nvme_namespace_proxy_new_finish ()
UDisksNVMeNamespace * | udisks_nvme_namespace_proxy_new_sync ()
void | udisks_nvme_namespace_proxy_new_for_bus ()
UDisksNVMeNamespace * | udisks_nvme_namespace_proxy_new_for_bus_finish ()
UDisksNVMeNamespace * | udisks_nvme_namespace_proxy_new_for_bus_sync ()
UDisksNVMeNamespace * | udisks_nvme_namespace_skeleton_new ()

## Types and Values

| UDisksNVMeNamespace
struct | UDisksNVMeNamespaceIface
struct | UDisksNVMeNamespaceProxy
struct | UDisksNVMeNamespaceProxyClass
struct | UDisksNVMeNamespaceSkeleton
struct | UDisksNVMeNamespaceSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksNVMeNamespace
        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksNVMeNamespaceSkeleton
                ╰── UDisksLinuxNVMeNamespace

## Prerequisites

UDisksNVMeNamespace requires GObject.

## Implemented Interfaces

UDisksNVMeNamespaceSkeleton implements GDBusInterface and UDisksNVMeNamespace.

## Known Implementations

UDisksNVMeNamespace is implemented by UDisksLinuxNVMeNamespace and UDisksNVMeNamespaceSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.NVMe.Namespace D-Bus interface in C.

## Functions

### udisks_nvme_namespace_interface_info ()

    GDBusInterfaceInfo *
    udisks_nvme_namespace_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.NVMe.Namespace D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_nvme_namespace_override_properties ()

    guint
    udisks_nvme_namespace_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksNVMeNamespace interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_nvme_namespace_call_format_namespace ()

    void
    udisks_nvme_namespace_call_format_namespace
                                   (UDisksNVMeNamespace *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `FormatNamespace()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_namespace_call_format_namespace_finish()` to get the result of the operation.

See `udisks_nvme_namespace_call_format_namespace_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksNVMeNamespaceProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_nvme_namespace_call_format_namespace_finish ()

    gboolean
    udisks_nvme_namespace_call_format_namespace_finish
                                   (UDisksNVMeNamespace *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_namespace_call_format_namespace()`.

#### Parameters

proxy | A UDisksNVMeNamespaceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_namespace_call_format_namespace()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_namespace_call_format_namespace_sync ()

    gboolean
    udisks_nvme_namespace_call_format_namespace_sync
                                   (UDisksNVMeNamespace *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `FormatNamespace()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_nvme_namespace_call_format_namespace()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksNVMeNamespaceProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_namespace_complete_format_namespace ()

    void
    udisks_nvme_namespace_complete_format_namespace
                                   (UDisksNVMeNamespace *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `FormatNamespace()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksNVMeNamespace. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.10.0

### udisks_nvme_namespace_get_eui64 ()

    const gchar *
    udisks_nvme_namespace_get_eui64 (UDisksNVMeNamespace *object);

Gets the value of the "EUI64" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_namespace_dup_eui64()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_namespace_get_format_percent_remaining ()

    gint
    udisks_nvme_namespace_get_format_percent_remaining
                                   (UDisksNVMeNamespace *object);

Gets the value of the "FormatPercentRemaining" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value.

Since: 2.10.0

### udisks_nvme_namespace_get_formatted_lbasize ()

    GVariant *
    udisks_nvme_namespace_get_formatted_lbasize
                                   (UDisksNVMeNamespace *object);

Gets the value of the "FormattedLBASize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_namespace_dup_formatted_lbasize()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_namespace_get_lbaformats ()

    GVariant *
    udisks_nvme_namespace_get_lbaformats (UDisksNVMeNamespace *object);

Gets the value of the "LBAFormats" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_namespace_dup_lbaformats()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_namespace_get_namespace_capacity ()

    guint64
    udisks_nvme_namespace_get_namespace_capacity
                                   (UDisksNVMeNamespace *object);

Gets the value of the "NamespaceCapacity" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value.

Since: 2.10.0

### udisks_nvme_namespace_get_namespace_size ()

    guint64
    udisks_nvme_namespace_get_namespace_size
                                   (UDisksNVMeNamespace *object);

Gets the value of the "NamespaceSize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value.

Since: 2.10.0

### udisks_nvme_namespace_get_namespace_utilization ()

    guint64
    udisks_nvme_namespace_get_namespace_utilization
                                   (UDisksNVMeNamespace *object);

Gets the value of the "NamespaceUtilization" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value.

Since: 2.10.0

### udisks_nvme_namespace_get_nguid ()

    const gchar *
    udisks_nvme_namespace_get_nguid (UDisksNVMeNamespace *object);

Gets the value of the "NGUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_namespace_dup_nguid()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_namespace_get_nsid ()

    guint
    udisks_nvme_namespace_get_nsid (UDisksNVMeNamespace *object);

Gets the value of the "NSID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value.

Since: 2.10.0

### udisks_nvme_namespace_get_uuid ()

    const gchar *
    udisks_nvme_namespace_get_uuid (UDisksNVMeNamespace *object);

Gets the value of the "UUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_namespace_dup_uuid()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_namespace_get_wwn ()

    const gchar *
    udisks_nvme_namespace_get_wwn (UDisksNVMeNamespace *object);

Gets the value of the "WWN" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_namespace_dup_wwn()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_namespace_dup_eui64 ()

    gchar *
    udisks_nvme_namespace_dup_eui64 (UDisksNVMeNamespace *object);

Gets a copy of the "EUI64" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_namespace_dup_formatted_lbasize ()

    GVariant *
    udisks_nvme_namespace_dup_formatted_lbasize
                                   (UDisksNVMeNamespace *object);

Gets a copy of the "FormattedLBASize" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_namespace_dup_lbaformats ()

    GVariant *
    udisks_nvme_namespace_dup_lbaformats (UDisksNVMeNamespace *object);

Gets a copy of the "LBAFormats" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_namespace_dup_nguid ()

    gchar *
    udisks_nvme_namespace_dup_nguid (UDisksNVMeNamespace *object);

Gets a copy of the "NGUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_namespace_dup_uuid ()

    gchar *
    udisks_nvme_namespace_dup_uuid (UDisksNVMeNamespace *object);

Gets a copy of the "UUID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_namespace_dup_wwn ()

    gchar *
    udisks_nvme_namespace_dup_wwn (UDisksNVMeNamespace *object);

Gets a copy of the "WWN" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_namespace_set_eui64 ()

    void
    udisks_nvme_namespace_set_eui64 (UDisksNVMeNamespace *object,
                                     const gchar *value);

Sets the "EUI64" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_format_percent_remaining ()

    void
    udisks_nvme_namespace_set_format_percent_remaining
                                   (UDisksNVMeNamespace *object,
                                    gint value);

Sets the "FormatPercentRemaining" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_formatted_lbasize ()

    void
    udisks_nvme_namespace_set_formatted_lbasize
                                   (UDisksNVMeNamespace *object,
                                    GVariant *value);

Sets the "FormattedLBASize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_lbaformats ()

    void
    udisks_nvme_namespace_set_lbaformats (UDisksNVMeNamespace *object,
                                          GVariant *value);

Sets the "LBAFormats" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_namespace_capacity ()

    void
    udisks_nvme_namespace_set_namespace_capacity
                                   (UDisksNVMeNamespace *object,
                                    guint64 value);

Sets the "NamespaceCapacity" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_namespace_size ()

    void
    udisks_nvme_namespace_set_namespace_size
                                   (UDisksNVMeNamespace *object,
                                    guint64 value);

Sets the "NamespaceSize" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_namespace_utilization ()

    void
    udisks_nvme_namespace_set_namespace_utilization
                                   (UDisksNVMeNamespace *object,
                                    guint64 value);

Sets the "NamespaceUtilization" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_nguid ()

    void
    udisks_nvme_namespace_set_nguid (UDisksNVMeNamespace *object,
                                     const gchar *value);

Sets the "NGUID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_nsid ()

    void
    udisks_nvme_namespace_set_nsid (UDisksNVMeNamespace *object,
                                    guint value);

Sets the "NSID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_uuid ()

    void
    udisks_nvme_namespace_set_uuid (UDisksNVMeNamespace *object,
                                    const gchar *value);

Sets the "UUID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_set_wwn ()

    void
    udisks_nvme_namespace_set_wwn (UDisksNVMeNamespace *object,
                                   const gchar *value);

Sets the "WWN" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeNamespace. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_namespace_proxy_new ()

    void
    udisks_nvme_namespace_proxy_new (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.NVMe.Namespace. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_namespace_proxy_new_finish()` to get the result of the operation.

See `udisks_nvme_namespace_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_nvme_namespace_proxy_new_finish ()

    UDisksNVMeNamespace *
    udisks_nvme_namespace_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_namespace_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_namespace_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeNamespaceProxy]

### udisks_nvme_namespace_proxy_new_sync ()

    UDisksNVMeNamespace *
    udisks_nvme_namespace_proxy_new_sync (GDBusConnection *connection,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.NVMe.Namespace. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_nvme_namespace_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeNamespaceProxy]

### udisks_nvme_namespace_proxy_new_for_bus ()

    void
    udisks_nvme_namespace_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `udisks_nvme_namespace_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_namespace_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_nvme_namespace_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_nvme_namespace_proxy_new_for_bus_finish ()

    UDisksNVMeNamespace *
    udisks_nvme_namespace_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_namespace_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_namespace_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeNamespaceProxy]

### udisks_nvme_namespace_proxy_new_for_bus_sync ()

    UDisksNVMeNamespace *
    udisks_nvme_namespace_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_nvme_namespace_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_nvme_namespace_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeNamespaceProxy]

### udisks_nvme_namespace_skeleton_new ()

    UDisksNVMeNamespace *
    udisks_nvme_namespace_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.NVMe.Namespace.

#### Returns

The skeleton object.

[transfer full][type UDisksNVMeNamespaceSkeleton]

## Types and Values

### UDisksNVMeNamespace

    typedef struct _UDisksNVMeNamespace UDisksNVMeNamespace;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.NVMe.Namespace.

### struct UDisksNVMeNamespaceIface

    struct UDisksNVMeNamespaceIface {
      GTypeInterface parent_iface;

      gboolean (*handle_format_namespace) (
        UDisksNVMeNamespace *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      const gchar * (*get_eui64) (UDisksNVMeNamespace *object);

      gint  (*get_format_percent_remaining) (UDisksNVMeNamespace *object);

      GVariant * (*get_formatted_lbasize) (UDisksNVMeNamespace *object);

      GVariant * (*get_lbaformats) (UDisksNVMeNamespace *object);

      guint64  (*get_namespace_capacity) (UDisksNVMeNamespace *object);

      guint64  (*get_namespace_size) (UDisksNVMeNamespace *object);

      guint64  (*get_namespace_utilization) (UDisksNVMeNamespace *object);

      const gchar * (*get_nguid) (UDisksNVMeNamespace *object);

      guint  (*get_nsid) (UDisksNVMeNamespace *object);

      const gchar * (*get_uuid) (UDisksNVMeNamespace *object);

      const gchar * (*get_wwn) (UDisksNVMeNamespace *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.NVMe.Namespace.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_format_namespace` () | Handler for the “handle-format-namespace” signal. |
`get_eui64` () | Getter for the “eui64” property. |
`get_format_percent_remaining` () | Getter for the “format-percent-remaining” property. |
`get_formatted_lbasize` () | Getter for the “formatted-lbasize” property. |
`get_lbaformats` () | Getter for the “lbaformats” property. |
`get_namespace_capacity` () | Getter for the “namespace-capacity” property. |
`get_namespace_size` () | Getter for the “namespace-size” property. |
`get_namespace_utilization` () | Getter for the “namespace-utilization” property. |
`get_nguid` () | Getter for the “nguid” property. |
`get_nsid` () | Getter for the “nsid” property. |
`get_uuid` () | Getter for the “uuid” property. |
`get_wwn` () | Getter for the “wwn” property. |

### struct UDisksNVMeNamespaceProxy

    struct UDisksNVMeNamespaceProxy {
    };

The UDisksNVMeNamespaceProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksNVMeNamespaceProxyClass

    struct UDisksNVMeNamespaceProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksNVMeNamespaceProxy.

#### Members

### struct UDisksNVMeNamespaceSkeleton

    struct UDisksNVMeNamespaceSkeleton;

The UDisksNVMeNamespaceSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksNVMeNamespaceSkeletonClass

    struct UDisksNVMeNamespaceSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksNVMeNamespaceSkeleton.

#### Members